
#ifndef CONSOLE_COMMAND
#define CONSOLE_COMMAND

#include "SimpleCamera.h"
#include "RTSCamera.h"

#include "Console.h"
#include "Renderer.h"

#include "GL/glut.h"

#include "MemoryManager/DebugNew.h"

using namespace RenderSystem;	//exeptionnelemnt dans le .h car les fonction console doivent y être


/**
*	Permet d'ajouter des fonctionnalitées à la console.
*/
void addFonctionnalityToConsole();

/**
*
*/
void r_skipFrustumUpdate(char* cmd, Console* csl);
/**
*
*/
void r_timeFactor(char* cmd, Console* csl);

/**
*
*/
void r_showQuadTree(char* cmd, Console* csl);

/**
*
*/
void r_showWireGround(char* cmd, Console* csl);

/**
*
*/
void r_showUnitLife(char* cmd, Console* csl);

/**
*
*/
void r_renderWater(char* cmd, Console* csl);

/**
*
*/
void r_useGLFog(char* cmd, Console* csl);

/**
*
*/
void r_useGroundTexture(char* cmd, Console* csl);

/**
*
*/
void r_useGLlighting(char* cmd, Console* csl);
/**
*
*/
void r_changeTileSet(char* cmd, Console* csl);

/**
*
*/
void r_debugEleveation(char* cmd, Console* csl);

/**
*
*/
void z_showDangerZoneIntensity(char* cmd, Console* csl);
/**
*
*/
void z_showStrongZoneIntensity(char* cmd, Console* csl);
/**
*
*/
void z_showNaturelAxeIntensity(char* cmd, Console* csl);
/**
*
*/
void z_showStrongZoneCases(char* cmd, Console* csl);
/**
*
*/
void z_showNaturelAxeZoneCases(char* cmd, Console* csl);
/**
*
*/
void z_showForestZoneCases(char* cmd, Console* csl);

/**
*
*/
void showBlockCases(char* cmd, Console* csl);

/**
*
*/
void g_cameraFree(char* cmd, Console* csl);
/**
*
*/
void g_cameraSpeed(char* cmd, Console* csl);

/**
*
*/
void r_showParticleAABB(char* cmd, Console* csl);

/**
*
*/
void r_showParticleAABB(char* cmd, Console* csl);
/**
*
*/
void r_showParticleAABB(char* cmd, Console* csl);

/**
*
*/
void r_setLimitTimeForAnim(char* cmd, Console* csl);

/**
*
*/
void r_renderHiddenUnits(char* cmd, Console* csl);

/**
*
*/
void r_fogOfWarUpdateTime(char* cmd, Console* csl);

/**
*
*/
void r_renderParticles(char* cmd, Console* csl);

/**
*
*/
void r_renderDecors(char* cmd, Console* csl);

/**
*
*/
void r_lowQuality(char* cmd, Console* csl);

/**
*
*/
void r_highQuality(char* cmd, Console* csl);

/**
*
*/
void z_showGraph(char* cmd, Console* csl);



/**
*
*/
//void loadMap(char* cmd, Console* csl);

#include "MemoryManager/DebugNewOff.h"




#endif

